Subject: Re: [PATCH 2/3] 82xx: Parse SMC serial device node in DTS

From: Arnd Bergmann <[email-masked]>
Date: Tue, 17 Jul 2007 15:06:42 +0200

On Tuesday 17 July 2007, Mark Zhan wrote:
> Yes, basically I agree what you say. That should be the right way. 
> 
> but, the current situation is that: in all DTS files that are using smc
> or scc as uart device, all device node definitions have the same
> "compatible" property -- "cpm_uart"
> 
> So what I do here is just following the upstream source tree.
> 

Well, AFAICS, all of them currently use scc. The 8xx platforms don't
even build correctly in the mainline kernel, so I guess it would
be good to change them to also list fsl,cpm-smc in the compatible
property.

	Arnd <><